<bugID>812894<Summary>Shorten time strings, reduce padding and margin in the panel to reintroduce per item download speed</Summary><Description>Bug 759397 removed the per-download rate indicator to reduce the clutter and noise in the downloads panel.

We decided instead to try displaying a global download rate. We need to sort out how this looks.</Description></bugID>